## class InputFile : public File

> Input file class.

## Inheritance:

### Public Methods

  | InputFile ()
  virtual | ~InputFile ()
  void | Open (const string* file) open a file for reading.
  void | Close () close current the file.
  bool | Good () is it a correct file.
  bool | Eof () is end of file reached?
  int | LineNumber () return line number.
  int | ReadChar () return next non-white-space char from input. Return -1 on eof.
  bool | LookupWord (const char* s)
  bool | LookupString (const char* s)
  bool | ReadAttribute (const string* name, string* value) a shorthand to lookup a name and read a value from the input file.
  bool | ReadAttribute (const char* name, string* value)
  bool | ReadAttribute2 ( const string* name, string* value1, string* value2) another shorthand to look up a word and read two word values.
  bool | ReadAttribute2 (const char* name, string* value1, string* value2)
  bool | ReadAttribute3 (const string* name, string* v1, string* v2, string* v3) another shorthand to look up a word and read three word values.
  bool | ReadAttribute3 (const char* name, string* v1, string* v2, string* v3)
  bool | ReadStringAttribute (const string* name, string* value) another shorthand to look up a word and read a string value.
  bool | ReadStringAttribute (const char* name, string* value)
  bool | ReadPair (string* value1, string* value2)

### Protected Methods

  void | SkipLine () skip rest of line.

### Inherited from File:

### Public Methods

const string* GetFileName()

### Protected Methods

bool IsOpened()

## Documentation

> Input file class.

`InputFile()`

`virtual ~InputFile()`

`void Open(const string* file)`
  open a file for reading.

`void Close()`
  close current the file.

`bool Good()`
  is it a correct file.

`bool Eof()`
  is end of file reached?

`int LineNumber()`
  return line number.

`int ReadChar()`
  return next non-white-space char from input. Return -1 on eof.

`bool LookupWord(const char* s)`

`bool LookupString(const char* s)`

`bool ReadAttribute(const string* name, string* value)`
  a shorthand to lookup a name and read a value from the input file.

`bool ReadAttribute(const char* name, string* value)`

`bool ReadAttribute2( const string* name, string* value1, string* value2)`
  another shorthand to look up a word and read two word values.

`bool ReadAttribute2(const char* name, string* value1, string* value2)`

`bool ReadAttribute3(const string* name, string* v1, string* v2, string* v3)`
  another shorthand to look up a word and read three word values.

`bool ReadAttribute3(const char* name, string* v1, string* v2, string* v3)`

`bool ReadStringAttribute(const string* name, string* value)`
  another shorthand to look up a word and read a string value.

`bool ReadStringAttribute(const char* name, string* value)`

`bool ReadPair(string* value1, string* value2)`

`void SkipLine()`
  skip rest of line.

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de